#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniMail/OmniMail.h>

//
//  A super-skeletal tool to test OmniMail.framework's SMTP mailing capabilities.
//

void main(int argc, const char *argv[])
{
    NSAutoreleasePool *pool;
    OMMailMessage *mailMessage;

    if (argc < 6) {
        fprintf(stderr, "usage: %s receiver sender subject body smtpHostName\n", argv[0]);
        exit(-1);
    }

    pool = [[NSAutoreleasePool alloc] init];

    // OBPostLoader provides vital startup processing.  Calls all +didLoad and +performPosing methods.
    [OBPostLoader processClasses];

    mailMessage = [[[OMMailMessage alloc] initWithReceiverAddress:[NSString stringWithCString:argv[1]]
                                                    senderAddress:[NSString stringWithCString:argv[2]]
                                                          subject:[NSString stringWithCString:argv[3]]
                                                             body:[NSString stringWithCString:argv[4]]
                                                     smtpHostName:[NSString stringWithCString:argv[5]]] autorelease];

    NS_DURING {
        [mailMessage deliver];
    } NS_HANDLER {
        NSLog(@"Delivery failed with exception: %@: %@", [localException name],
              [localException reason]);
        exit(-1);
    } NS_ENDHANDLER

    NSLog(@"Delivery success");
    
    [pool release];
    exit(0);
}
